{% extends "base.html" %}
{% block title %}Edit User{% endblock %}
{% block navbar %}
  <a href="{{ prev_url }}" class="w3-bar-item w3-btn w3-round-large w3-right" style="transition: 0.5s; margin: 0.5em;">
    <span style="font-size: 0.9em;" class="material-icons">arrow_back</span>
    Admin
  </a>
{% endblock %}
{% block content %}
  <h1>Edit User</h1>
  {% if form.errors %}
    <ul class="w3-ul">
        {% for field_name, field_errors in form.errors|dictsort if field_errors %}
            {% for error in field_errors %}
                <li>{{ form[field_name].label }}: {{ error }}</li>
            {% endfor %}
        {% endfor %}
    </ul>
  {% endif %}
  <form method="POST" action="/admin/users/edit?user_uid={{ user_uid }}">
      {{ form.csrf_token }}
      {{ form.username(class_='w3-input w3-round-large w3-margin-top w3-margin-bottom w3-mobile', placeholder='Username') }}
      {{ form.password(class_='w3-input w3-round-large w3-margin-top w3-margin-bottom w3-mobile', placeholder='Password') }}
      {{ form.group(class_='w3-input w3-round-large w3-margin-top w3-margin-bottom w3-mobile', placeholder='Group') }}
      {{ form.first_name(class_='w3-input w3-round-large w3-margin-top w3-margin-bottom w3-mobile', placeholder='First Name') }}
      {{ form.last_name(class_='w3-input w3-round-large w3-margin-top w3-margin-bottom w3-mobile', placeholder='Last Name') }}
      {{ form.age(class_='w3-input w3-round-large w3-margin-top w3-margin-bottom w3-mobile', placeholder='Age') }}
      {{ form.notes(class_='w3-input w3-round-large w3-margin-top w3-margin-bottom w3-mobile', placeholder='Notes') }}
      <input class="w3-btn w3-round-large w3-border" style="transition: 0.5s" type="submit" value="Edit User">
  </form>
{% endblock %}